import glob
import wx
import wx.lib.buttons as buttons





class ServerPanel(wx.Frame):   
    def __init__(self, parent):
        super().__init__(parent)
        main_sizer = wx.BoxSizer(wx.VERTICAL)
        secondary_sizer = wx.BoxSizer(wx.HORIZONTAL)

        menubar = wx.MenuBar() 
        menu = wx.Menu() 
        menubar.Append(menu,"File") 
        self.SetMenuBar(menubar) 
            
        tb = wx.ToolBar( self, -1)
        self.ToolBar = tb
            
        
        tb.AddTool( wx.ID_ANY, '', wx.Bitmap("IPPigeonLogo.png"))
        tb.AddTool(wx.ID_ANY, '',wx.Bitmap("WXPython.png")) 
        tb.AddTool(wx.ID_ANY, '',wx.Bitmap("settings.png")) 
          
        #tb.Bind(wx.EVT_TOOL, self.Onright)
        #tb.Bind(wx.EVT_COMBOBOX,self.OnCombo) 
        #self.combo = wx.ComboBox( tb, 555, value = "Times", choices = ["Papyrus","Times","Comic Sans"])  

        #tb.AddControl(self.combo ) 
        tb.Realize() 
        main_sizer.Add(tb)

        self.Show(True) 


        self.row_obj_dict = {}
        self.list_ctrl = wx.ListCtrl(
            self, size=(-1, 100), 
            style=wx.LC_REPORT | wx.BORDER_SUNKEN
        )
        self.SetBackgroundColour(wx.BLACK)
        self.list_ctrl.InsertColumn(0, 'Server name', width=140)
        self.list_ctrl.InsertColumn(1, 'Port number', width=140)
        self.list_ctrl.InsertColumn(2, 'Status', width=200)
        main_sizer.Add(self.list_ctrl, 0, wx.ALL | wx.EXPAND, 5)
        start_button = wx.Button(self, label='Start')
        start_button.SetBackgroundColour((205, 215, 206))
        start_button.Bind(wx.EVT_BUTTON, self.on_edit)
        stop_button = wx.Button(self, label='Stop')
        stop_button.SetBackgroundColour('#F08080')
        # wx.BORDER(stop_button, wx.BORDER_NONE)
        stop_button.Bind(wx.EVT_BUTTON, self.on_edit)
        main_sizer.Add(start_button, 0, wx.CENTER | 100, 5)
        main_sizer.Add(stop_button, 0, wx.CENTER | 100, 5)
        # start_button.SetWindowStyleFlag(wx.SIMPLE_BORDER)
        # stop_button.SetWindowStyleFlag(wx.SIMPLE_BORDER)
        # wx.StaticBitmap(self, -1, png, (500, 300), (png.GetWidth(), png.GetHeight()))
        self.SetSizer(main_sizer)
    
    def OnQuit(self, e):
        self.Close()

    def on_edit(self, event):
        print('in on_edit')

    def update_mp3_listing(self, folder_path):
        print(folder_path)

    # def Onright(self, event): 
    #     self.text.AppendText(str(event.GetId())+"\n")
		
    # def OnCombo(self,event): 
    #     self.text.AppendText( self.combo.GetValue()+"\n") 

class ServerFrame(wx.Frame):    
    def __init__(self):
        super().__init__(parent=None, title='Server Dashboard')
        self.frame = ServerPanel(self)
            # image = wx.StaticBitmap(self, wx.ID_ANY)
            # image.SetBitmap(wx.Bitmap('WXPython.png'))
        self.Show()

if __name__ == '__main__':
    app = wx.App(False)
    frame = ServerFrame()
    
    app.MainLoop()